List library
Lists the library the caller can read.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Query Parameters
organization_id*string
Match
^org_types?string
created_by?string
models?string
statuses?string
source?string
Value in
- "generated"
- "uploaded"
- "imported"
project_ids?string
conversation_ids?string
canvas_ids?string
since?string
search?string
deleted?boolean
ids?string
limit?integer
Range
1 <= value <= 100cursor?string
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/library?organization_id=string"{ "items": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "status": "ready", "type": "image", "media_model_id": "string", "source": "generated", "deleted_at": "2019-08-24T14:15:22Z", "asset": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "string", "created_by_id": "string", "type": "image", "title": "string", "mime_type": "string", "url": "string", "content": "string", "upload_file_state": "in_progress", "enrichment_state": "ignored", "visibility": "private", "workspace_role": "viewer", "metadata": "string", "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e", "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c", "origin_canvas_id": "16b35206-3210-42c7-a590-f6d220e0854e", "mod_transcript_id": "string", "mod_asset_id": "string", "mod_source_id": "string", "dual_media_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "linked_conversation_id": "string", "shared": true, "can_edit": true, "can_delete": true }, "generation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "string", "created_by_id": "string", "media_model_variant_id": "3842c80b-bdba-4659-80d7-456d5ee25400", "media_model_id": "6bfa6c29-9e81-4c8d-888f-372202e5c5da", "quick_action_id": "a9f574e4-27e8-47c7-8ae8-fe89b5803d91", "status": "pending", "parameters": "string", "quoted_per_output": "string", "error": "string", "error_code": "string", "canvas_id": "b62c6beb-2de8-4ee5-ac63-068ebe40140b", "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "tool_call_id": "string", "source_generation_id": "e1ac65c2-7daf-4b71-8f3c-c93f76f8126e", "fal_request_id": "b474c35f-d938-457a-a5d1-382102559877", "replicate_request_id": "string", "replicate_prediction_id": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "reconcile_attempts": -2147483648, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "media": "text", "media_model_name": "string", "media_model_version_id": "string", "version_number": -9007199254740991 } } ], "next_cursor": "string"}